
export const FinancialState = {
  ALIPAY_TRANSFERRED: 1,
  ALIPAY_ROLLS_OUT: 2,
  WX_TRANSFERRED: 3,
  WX_ROLLS_OUT: 4,
  DIGITAL_TRANSFERRED: 5,
  DIGITAL_ROLLS_OUT: 6,
  RECHARGE: 7,
  WITHDRAWAL: 8,
  PAYMENT: 9,
  REFUND: 10,
  SALE: 11,
  ISSUE: 12,
  ADD_ISSUE: 13,
  RECOVERY: 14,
  JAIRCUT: 15,
  WITHDRAWAL_MONEY: 16,
  DEDUCTION: 17,
  EXTERNAL_NFT: 18,
  EXTERNAL_TOKEN: 19,
  EXTERNAL_COIN: 20
}
export const FinancialStateObj = {
  [FinancialState.ALIPAY_TRANSFERRED]: {
    label: '支付宝转账-转入',
    color: 'default'
  },
  [FinancialState.ALIPAY_ROLLS_OUT]: {
    label: '支付宝转账-转出',
    color: 'default'
  },
  [FinancialState.WX_TRANSFERRED]: {
    label: '微信转账-转入',
    color: 'default'
  },
  [FinancialState.WX_ROLLS_OUT]: {
    label: '微信转账-转出',
    color: 'default'
  },
  [FinancialState.DIGITAL_TRANSFERRED]: {
    label: '数字资产转帐-转入',
    color: 'default'
  },
  [FinancialState.DIGITAL_ROLLS_OUT]: {
    label: '数字资产转账-转出',
    color: 'default'
  },
  [FinancialState.RECHARGE]: {
    label: '充值',
    color: 'default'
  },
  [FinancialState.WITHDRAWAL]: {
    label: '提现',
    color: 'default'
  },
  [FinancialState.PAYMENT]: {
    label: '支付',
    color: 'default'
  },
  [FinancialState.REFUND]: {
    label: '退款',
    color: 'default'
  },
  [FinancialState.SALE]: {
    label: '销售',
    color: 'default'
  },
  [FinancialState.ISSUE]: {
    label: '发行',
    color: 'default'
  },
  [FinancialState.ADD_ISSUE]: {
    label: '增发',
    color: 'default'
  },
  [FinancialState.RECOVERY]: {
    label: '回收',
    color: 'default'
  },
  [FinancialState.JAIRCUT]: {
    label: '减发',
    color: 'default'
  },
  [FinancialState.WITHDRAWAL_MONEY]: {
    label: '提币',
    color: 'default'
  },
  [FinancialState.DEDUCTION]: {
    label: '扣款',
    color: 'default'
  },
  [FinancialState.EXTERNAL_NFT]: {
    label: '外部nft转入',
    color: 'default'
  },
  [FinancialState.EXTERNAL_TOKEN]: {
    label: '外部token转入',
    color: 'default'
  },
  [FinancialState.EXTERNAL_COIN]: {
    label: '外部coin转入',
    color: 'default'
  }
}

export const IntegralStatus = {
  ISSUE: 1,
  FAIL: 2,
  TO_BE_REVIEWED: 3,
  CHECK_FAIL: 4,
  AVAIABLE: 5,
  DISABLE: 6
}
export const IntegralStateObj = {
  [IntegralStatus.ISSUE]: '发行中',
  [IntegralStatus.FAIL]: '发行失败',
  [IntegralStatus.TO_BE_REVIEWED]: '待审核',
  [IntegralStatus.CHECK_FAIL]: '审核失败',
  [IntegralStatus.AVAIABLE]: '可用',
  [IntegralStatus.DISABLE]: '禁用'
}
export const TransferStatus = {
  SUCCESS: 2,
  FAIL: 1
}
export const TransferStateObj = {
  [TransferStatus.SUCCESS]: {
    label: '成功',
    color: 'success'
  },
  [TransferStatus.FAIL]: {
    label: '失败',
    color: 'error'
  }
}
